gdlmm: Gdl::DockItem Class Reference

# Gdl::DockItem Class Reference

Inherits Gdl::DockObject.

Collaboration diagram for Gdl::DockItem:
[legend]

List of all members.

## Public Member Functions
virtual | ~DockItem ()
GdlDockItem* | gobj ()
| Provides access to the underlying C GtkObject.
const GdlDockItem* | gobj () const
| Provides access to the underlying C GtkObject.
| DockItem (const Glib::ustring& name, const Glib::ustring& long_name, DockItemBehavior behavior=static_cast< DockItemBehavior >(DOCK_ITEM_BEH_NORMAL))
| DockItem (const Glib::ustring& name, const Glib::ustring& long_name, const Gtk::StockID& stock_id, DockItemBehavior behavior=static_cast< DockItemBehavior >(DOCK_ITEM_BEH_NORMAL))
void | dock_to (DockItem& target, DockPlacement position=static_cast< DockPlacement >(DOCK_NONE), int docking_param=-1)
void | dock_floating (int docking_param=-1)
void | set_orientation (Gtk::Orientation orientation)
Gtk::Widget* | get_tablabel () const
void | set_tablabel (Gtk::Widget& tablabel)
void | hide_grip ()
void | show_grip ()
void | bind (Gtk::Widget& dock)
void | unbind ()
void | hide_item ()
void | iconify_item ()
void | show_item ()
void | lock ()
void | unlock ()
void | set_default_position (DockObject& reference)
void | preferred_size (Gtk::Requisition* req)
Glib::PropertyProxy < DockItemBehavior > | property_behavior ()
| Comportement général pour l'élément détachable (ex.
Glib::PropertyProxy_ReadOnly < DockItemBehavior > | property_behavior () const
| Comportement général pour l'élément détachable (ex.
Glib::PropertyProxy< bool > | property_locked ()
| Si défini.
Glib::PropertyProxy_ReadOnly < bool > | property_locked () const
| Si défini.
Glib::PropertyProxy < Gtk::Orientation > | property_orientation ()
| Orientation de l'élément détachable.
Glib::PropertyProxy_ReadOnly < Gtk::Orientation > | property_orientation () const
| Orientation de l'élément détachable.
Glib::PropertyProxy< int > | property_preferred_height ()
| Hauteur préférée pour l'élément détachable.
Glib::PropertyProxy_ReadOnly< int > | property_preferred_height () const
| Hauteur préférée pour l'élément détachable.
Glib::PropertyProxy< int > | property_preferred_width ()
| Largeur préférée pour l'élément détachable.
Glib::PropertyProxy_ReadOnly< int > | property_preferred_width () const
| Largeur préférée pour l'élément détachable.
Glib::PropertyProxy< bool > | property_resize ()
| Si défini.
Glib::PropertyProxy_ReadOnly < bool > | property_resize () const
| Si défini.
Glib::SignalProxy0< void > | signal_dock_drag_begin ()
Glib::SignalProxy1< void, bool > | signal_dock_drag_end ()
Glib::SignalProxy2< void, int, int > | signal_dock_drag_motion ()
Glib::SignalProxy0< void > | signal_selected ()
## Protected Member Functions
virtual void | on_dock_drag_begin ()
virtual void | on_dock_drag_end (bool cancel)
virtual void | on_dock_drag_motion (int x, int y)
## Related Functions
(Note that these are not member functions.)
Gdl::DockItem* | wrap (GdlDockItem* object, bool take_copy=false)
| A Glib::wrap() method for this object.

## Constructor & Destructor Documentation

virtual Gdl::DockItem::~DockItem | ( |  | ) | `[virtual]`

Gdl::DockItem::DockItem | ( | const Glib::ustring & | name,
|  | const Glib::ustring & | long_name,
|  | DockItemBehavior | behavior = `static_cast< DockItemBehavior >(DOCK_ITEM_BEH_NORMAL)` |
| ) |  |  |

Gdl::DockItem::DockItem | ( | const Glib::ustring & | name,
|  | const Glib::ustring & | long_name,
|  | const Gtk::StockID & | stock_id,
|  | DockItemBehavior | behavior = `static_cast< DockItemBehavior >(DOCK_ITEM_BEH_NORMAL)` |
| ) |  |  |

## Member Function Documentation

void Gdl::DockItem::bind | ( | Gtk::Widget & | dock | ) |

void Gdl::DockItem::dock_floating | ( | int | docking_param = `-1` | ) |

void Gdl::DockItem::dock_to | ( | DockItem& | target,
|  | DockPlacement | position = `static_cast< DockPlacement >(DOCK_NONE)`,
|  | int | docking_param = `-1` |
| ) |  |  |

Gtk::Widget* Gdl::DockItem::get_tablabel | ( |  | ) | const

const GdlDockItem* Gdl::DockItem::gobj | ( |  | ) | const`[inline]`

Provides access to the underlying C GtkObject.

Reimplemented from Gdl::DockObject.

GdlDockItem* Gdl::DockItem::gobj | ( |  | ) | `[inline]`

Provides access to the underlying C GtkObject.

Reimplemented from Gdl::DockObject.

void Gdl::DockItem::hide_grip | ( |  | ) |

void Gdl::DockItem::hide_item | ( |  | ) |

void Gdl::DockItem::iconify_item | ( |  | ) |

void Gdl::DockItem::lock | ( |  | ) |

virtual void Gdl::DockItem::on_dock_drag_begin | ( |  | ) | `[protected, virtual]`

virtual void Gdl::DockItem::on_dock_drag_end | ( | bool | cancel | ) | `[protected, virtual]`

virtual void Gdl::DockItem::on_dock_drag_motion | ( | int | x,
|  | int | y |
| ) |  |  | `[protected, virtual]`

void Gdl::DockItem::preferred_size | ( | Gtk::Requisition * | req | ) |

Glib::PropertyProxy_ReadOnly<DockItemBehavior> Gdl::DockItem::property_behavior | ( |  | ) | const

Comportement général pour l'élément détachable (ex.

s'il peut flotter, s'il est verrouillé, etc.).

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy<DockItemBehavior> Gdl::DockItem::property_behavior | ( |  | ) |

Comportement général pour l'élément détachable (ex.

s'il peut flotter, s'il est verrouillé, etc.).

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly<bool> Gdl::DockItem::property_locked | ( |  | ) | const

Si défini.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy<bool> Gdl::DockItem::property_locked | ( |  | ) |

Si défini.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly<Gtk::Orientation> Gdl::DockItem::property_orientation | ( |  | ) | const

Orientation de l'élément détachable.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy<Gtk::Orientation> Gdl::DockItem::property_orientation | ( |  | ) |

Orientation de l'élément détachable.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly<int> Gdl::DockItem::property_preferred_height | ( |  | ) | const

Hauteur préférée pour l'élément détachable.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy<int> Gdl::DockItem::property_preferred_height | ( |  | ) |

Hauteur préférée pour l'élément détachable.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly<int> Gdl::DockItem::property_preferred_width | ( |  | ) | const

Largeur préférée pour l'élément détachable.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy<int> Gdl::DockItem::property_preferred_width | ( |  | ) |

Largeur préférée pour l'élément détachable.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly<bool> Gdl::DockItem::property_resize | ( |  | ) | const

Si défini.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy<bool> Gdl::DockItem::property_resize | ( |  | ) |

Si défini.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

void Gdl::DockItem::set_default_position | ( | DockObject& | reference | ) |

void Gdl::DockItem::set_orientation | ( | Gtk::Orientation | orientation | ) |

void Gdl::DockItem::set_tablabel | ( | Gtk::Widget & | tablabel | ) |

void Gdl::DockItem::show_grip | ( |  | ) |

void Gdl::DockItem::show_item | ( |  | ) |

Glib::SignalProxy0< void > Gdl::DockItem::signal_dock_drag_begin | ( |  | ) |

Prototype:
  `void on_my_dock_drag_begin()`

Glib::SignalProxy1< void,bool > Gdl::DockItem::signal_dock_drag_end | ( |  | ) |

Prototype:
  `void on_my_dock_drag_end(bool cancel)`

Glib::SignalProxy2< void,int,int > Gdl::DockItem::signal_dock_drag_motion | ( |  | ) |

Prototype:
  `void on_my_dock_drag_motion(int x, int y)`

Glib::SignalProxy0< void > Gdl::DockItem::signal_selected | ( |  | ) |

Prototype:
  `void on_my_selected()`

void Gdl::DockItem::unbind | ( |  | ) |

Reimplemented from Gdl::DockObject.

void Gdl::DockItem::unlock | ( |  | ) |

## Friends And Related Function Documentation

Gdl::DockItem* wrap | ( | GdlDockItem * | object,
|  | bool | take_copy = `false` |
| ) |  |  | `[related]`

A Glib::wrap() method for this object.

Parameters:

  | object | The C instance.
  | take_copy | False if the result should take ownership of the C instance. True if it should take a new copy or ref.

Returns:
  A C++ instance that wraps this C instance.

The documentation for this class was generated from the following file:

- gdlmm/dockitem.h